# Cmput 455 sample code
# Tests alphabeta on sample tree
# Written by Martin Mueller

from minimax_sample_tree import SampleTree
from naive_negamax import naive_negamax
from alphabeta import callAlphabeta

t = SampleTree()

result = naive_negamax(t)
print("Naive negamax search result = {}".format(result))

result = callAlphabeta(t)
print("alphabeta search result = {}".format(result))

t.play('a')

result = naive_negamax(t)
print("Naive negamax search result from node a = {}".format(result))

result = callAlphabeta(t)
print("alphabeta search result from node a = {}".format(result))
